var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var ignores_exports = {};
__export(ignores_exports, {
  default: () => ignores_default
});
module.exports = __toCommonJS(ignores_exports);
const ignores = [
  /**
   * Ignores commits signed off by `dependabot[bot]`.
   *
   * Dependabot commits are formatted in a way that renders their trailers
   * unparsable, and therefore useless. The `'updated-dependencies'` section in
   * these commits makes it so that `git interpret-trailers --parse` yields an
   * empty string. This fails the `trailer-exists` rule because `Signed-off-by`
   * trailers are required.
   *
   * @param {string} commit - Raw commit to evaluate
   * @return {boolean} `true` if `commit` was signed off by `dependabot[bot]`
   */
  (commit) => /Signed-off-by: dependabot\[bot]/.test(commit)
];
var ignores_default = ignores;
//# sourceMappingURL=ignores.cjs.map
