import { ReferenceAction } from "../enums/index.mjs";
import consola from "consola";
const parserPreset = {
  name: "conventional-changelog-conventionalcommits",
  parserOpts: {
    commentChar: "#",
    fieldPattern: /^-(?<field>.*?)-(?=\n*)$/m,
    headerCorrespondence: ["type", "scope", "breaking", "subject", "pr"],
    headerPattern: /^(?<type>[a-z]+)(?:\((?<scope>[a-z-]+)\))?(?<breaking>!)?: +(?<subject>(?:.+ \(#(?<pr>\d+)\))|.+)/i,
    issuePrefixes: ["#", "GH-"],
    issuePrefixesCaseSensitive: true,
    mergeCorrespondence: null,
    mergePattern: null,
    noteKeywords: ["BREAKING-CHANGE"],
    referenceActions: Object.values(ReferenceAction),
    revertCorrespondence: [
      "type",
      "scope",
      "breaking",
      "owner",
      "repository",
      "user",
      "hash"
    ],
    revertPattern: /^(?<type>revert)(?:\((?<scope>[a-z-]+)\))?(?<breaking>!)?: (?:|(?:.+\n\n(?:- )?))(?:(?:(?:(?<owner>[\d*a-z~-][\w*.~-]*)\/(?<repository>[\da-z~-][\w.~-]*))|(?<user>[\da-z~-][\w.~-]*))@)?(?<hash>[\da-z]+)/,
    warn: consola.warn.bind(consola)
  }
};
var parser_preset_default = parserPreset;
export {
  parser_preset_default as default
};
//# sourceMappingURL=parser-preset.mjs.map
