import { PromptKind, Type } from "../enums/index.mjs";
const prompt = {
  messages: {
    emptyWarning: "can not be empty",
    lowerLimitWarning: "below limit",
    max: "upper %d chars",
    min: "%d chars at least",
    skip: ":skip",
    upperLimitWarning: "over limit"
  },
  questions: {
    [PromptKind.BODY]: {
      description: "Longer description of change(s)"
    },
    [PromptKind.BREAKING]: {
      description: "Describe the breaking change(s)"
    },
    [PromptKind.BREAKING_BODY]: {
      description: "A BREAKING CHANGE commit requires a body"
    },
    [PromptKind.IS_BREAKING]: {
      description: "Are there any breaking changes?"
    },
    [PromptKind.IS_ISSUE_AFFECTED]: {
      description: "Does this change affect any open issues?"
    },
    [PromptKind.ISSUES]: {
      description: 'Add issue references (e.g. "fixes #123")'
    },
    [PromptKind.ISSUES_BODY]: {
      description: "If issues are closed, the commit requires a body"
    },
    [PromptKind.SCOPE]: {
      description: "Scope of change being committed"
    },
    [PromptKind.SUBJECT]: {
      description: "Short, imperative tense description of the change"
    },
    [PromptKind.TYPE]: {
      description: "Type of change being committed",
      enum: {
        [Type.BUILD]: {
          description: "",
          emoji: "\u{1F4E6}",
          title: "Build"
        },
        [Type.CHORE]: {
          description: "",
          emoji: "\u{1F3E1}",
          title: "Housekeeping"
        },
        [Type.CI]: {
          description: "",
          emoji: "\u{1F916}",
          title: "Continuous Integration"
        },
        [Type.DOCS]: {
          description: "",
          emoji: "\u{1F4DD}",
          title: "Documentation"
        },
        [Type.FEAT]: {
          description: "",
          emoji: "\u2728",
          title: "Feature"
        },
        [Type.FIX]: {
          description: "",
          emoji: "\u{1F41B}",
          title: "Fix"
        },
        [Type.PERF]: {
          description: "",
          emoji: "\u{1F525}",
          title: "Performance Improvement"
        },
        [Type.REFACTOR]: {
          description: "",
          emoji: "\u{1F9BE}",
          title: "Refactor"
        },
        [Type.RELEASE]: {
          description: "",
          emoji: "\u{1F3AF}",
          title: "Release"
        },
        [Type.REVERT]: {
          description: "",
          emoji: "\u{1F5D1}\uFE0F",
          title: "Revert"
        },
        [Type.STYLE]: {
          description: "",
          emoji: "\u{1F978}",
          title: "Style"
        },
        [Type.TEST]: {
          description: "",
          emoji: "\u2705",
          title: "Testing"
        },
        [Type.WIP]: {
          description: "",
          emoji: "\u{1F6A7}",
          title: "Work in Progress"
        }
      }
    }
  },
  settings: {
    enableMultipleScopes: true,
    scopeEnumSeparator: ","
  }
};
var prompt_default = prompt;
export {
  prompt_default as default
};
//# sourceMappingURL=prompt.mjs.map
