var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);
var rules_exports = {};
__export(rules_exports, {
  default: () => rules_default
});
module.exports = __toCommonJS(rules_exports);
var import_utils = require("../utils/index.cjs");
var import_types = require("@commitlint/types");
const rules = {
  "body-case": [import_types.RuleConfigSeverity.Disabled],
  "body-empty": [import_types.RuleConfigSeverity.Disabled],
  "body-full-stop": [import_types.RuleConfigSeverity.Error, "never", "."],
  "body-leading-blank": [import_types.RuleConfigSeverity.Error, "always"],
  "body-max-length": [import_types.RuleConfigSeverity.Error, "always", Number.MAX_SAFE_INTEGER],
  "body-max-line-length": [import_types.RuleConfigSeverity.Error, "always", 2050],
  "body-min-length": [import_types.RuleConfigSeverity.Disabled],
  "footer-empty": [import_types.RuleConfigSeverity.Disabled],
  "footer-leading-blank": [import_types.RuleConfigSeverity.Error, "always"],
  "footer-max-length": [import_types.RuleConfigSeverity.Error, "always", Number.MAX_SAFE_INTEGER],
  "footer-max-line-length": [import_types.RuleConfigSeverity.Error, "always", 2050],
  "footer-min-length": [import_types.RuleConfigSeverity.Disabled],
  "header-case": [import_types.RuleConfigSeverity.Disabled],
  "header-full-stop": [import_types.RuleConfigSeverity.Error, "never", "."],
  "header-max-length": [import_types.RuleConfigSeverity.Error, "always", 100],
  "header-min-length": [import_types.RuleConfigSeverity.Disabled],
  "references-empty": [import_types.RuleConfigSeverity.Disabled],
  "scope-case": [import_types.RuleConfigSeverity.Error, "always", ["kebab-case", "lower-case"]],
  "scope-empty": [import_types.RuleConfigSeverity.Disabled],
  "scope-enum": [import_types.RuleConfigSeverity.Error, "always", (0, import_utils.scopes)()],
  "scope-max-length": [import_types.RuleConfigSeverity.Error, "always", (0, import_utils.max)((0, import_utils.scopes)())],
  "scope-min-length": [import_types.RuleConfigSeverity.Error, "always", (0, import_utils.min)((0, import_utils.scopes)())],
  "signed-off-by": [import_types.RuleConfigSeverity.Disabled],
  "subject-case": [import_types.RuleConfigSeverity.Disabled],
  "subject-empty": [import_types.RuleConfigSeverity.Error, "never"],
  "subject-exclamation-mark": [import_types.RuleConfigSeverity.Disabled],
  "subject-full-stop": [import_types.RuleConfigSeverity.Error, "never", "."],
  "subject-max-length": [import_types.RuleConfigSeverity.Disabled],
  "subject-min-length": [import_types.RuleConfigSeverity.Error, "always", 2],
  "trailer-exists": [import_types.RuleConfigSeverity.Error, "always", "Signed-off-by:"],
  "type-case": [import_types.RuleConfigSeverity.Error, "always", ["lower-case"]],
  "type-empty": [import_types.RuleConfigSeverity.Error, "never"],
  "type-enum": [import_types.RuleConfigSeverity.Error, "always", (0, import_utils.types)()],
  "type-max-length": [import_types.RuleConfigSeverity.Error, "always", (0, import_utils.max)((0, import_utils.types)())],
  "type-min-length": [import_types.RuleConfigSeverity.Error, "always", (0, import_utils.min)((0, import_utils.types)())]
};
var rules_default = rules;
//# sourceMappingURL=rules.cjs.map
