/**
 * @file Utilities - scopes
 * @module commitlint-config/utils/scopes
 */
import { Scope } from '../enums/index.mjs';
import type { LiteralUnion } from '@flex-development/tutils';
/**
 * Returns an array containing valid commit scopes.
 *
 * @param {(Set<string> | string[])?} [extras=[]] - Additional commit scopes
 * @return {LiteralUnion<Scope, string>[]} Commit scopes array
 */
declare const scopes: (extras?: Set<string> | string[]) => LiteralUnion<Scope, string>[];
export default scopes;
